# Browse Products

After successful submission, you will be redirected to the online browser where you may select different releases of products. Files are downloaded in the format `FileName_YYYYMM.zip`. Be sure to include your Customer ID.
To access the site directly, use [https://releases.melissadata.net/browseProducts](https://releases.melissadata.net/browseProducts).

Endpoint: GET /browseProducts

## Query parameters:

  - `id` (any, required)
    The [License Key](https://docs.melissa.com/melissa/license/license-information.html) issued by Melissa.

  - `release` (string, required)
    Specific Release. This can be specified in several ways.
- `YYYY.MM` OR `YYYY-MM`  - (year, month)
- `YYYY.QQ` - (year, quarter)
- `[metaReleaseName]` - Release Name, for example: `latest`

## Response 200:

  - `200` (unknown)
    Successful response

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.

